Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!

Bug 666000

Summary: net-mail/tpop3d: Validate DEPEND on virtual/mysql
Product: Gentoo Linux Reporter: Brian Evans <grknight>
Component: Current packagesAssignee: No maintainer - Look at https://wiki.gentoo.org/wiki/Project:Proxy_Maintainers if you want to take care of it <maintainer-needed>
Status: RESOLVED FIXED    
Severity: normal CC: net-mail+disabled
Priority: Normal    
Version: unspecified   
Hardware: All   
OS: Linux   
Whiteboard:
Package list:
Runtime testing required: ---
Bug Depends on: 739588    
Bug Blocks: 763480    

Description Brian Evans Gentoo Infrastructure gentoo-dev 2018-09-12 17:34:29 UTC
THIS IS A MASS FILING TO ALL PACKAGE WITH A DEPEND ON virtual/mysql

As was announced on the gentoo-dev-announce mailing list[1],
virtual/mysql is no longer viable to depend on providing the client libraries
or the mysql_config tool.

Most uses of DEPEND="virtual/mysql" (or conditionals based upon it) will not
work in the future.

If this package (optionally) depends on libmysqlclient.so* or mysql_config for
building, you will need to have dev-db/mysql-connector-c as the DEPEND/RDEPEND.

If this package (optionally) depends on libmariadb.so* or mariadb_config for
building, you will need to have dev-db/mariadb-connector-c as the
DEPEND/RDEPEND.

If this package requires the server running locally, virtual/mysql is
acceptible for RDEPEND and only in DEPEND when tests demand it.

The rare exception when server only files are required at build time should you
keep a compatible server listed.

After 60 days, roughly mid-October 2018, remaining packages will be forcefully
changed to mysql-connector-c with little or no testing. The server packages
will drop their compatibility DEPEND shortly after.

[1] https://archives.gentoo.org/gentoo-dev-announce/message/618f39bce863911d8955ee9f83636ca4
Comment 1 Larry the Git Cow gentoo-dev 2019-02-18 21:19:24 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=8c50341cc8ee978403e2e99fbf38b9c9a2748e64

commit 8c50341cc8ee978403e2e99fbf38b9c9a2748e64
Author:     Brian Evans <grknight@gentoo.org>
AuthorDate: 2019-02-18 21:19:07 +0000
Commit:     Brian Evans <grknight@gentoo.org>
CommitDate: 2019-02-18 21:19:07 +0000

    net-mail/tpop3d: Revbump for EAPI and dependency change
    
    Non-maintainer commit
    
    Bug: https://bugs.gentoo.org/666000
    Package-Manager: Portage-2.3.61, Repoman-2.3.12
    Signed-off-by: Brian Evans <grknight@gentoo.org>

 net-mail/tpop3d/tpop3d-1.5.5-r1.ebuild | 94 ++++++++++++++++++++++++++++++++++
 1 file changed, 94 insertions(+)
Comment 2 Larry the Git Cow gentoo-dev 2020-09-07 22:02:17 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=325daee848b886c554f6a0ee30d95ed90c4bbca6

commit 325daee848b886c554f6a0ee30d95ed90c4bbca6
Author:     Sam James <sam@gentoo.org>
AuthorDate: 2020-09-07 22:01:49 +0000
Commit:     Sam James <sam@gentoo.org>
CommitDate: 2020-09-07 22:02:13 +0000

    net-mail/tpop3d: remove old EAPI 4 ebuild
    
    Bug: https://bugs.gentoo.org/739588
    Closes: https://bugs.gentoo.org/666000
    Package-Manager: Portage-3.0.4, Repoman-3.0.1
    Signed-off-by: Sam James <sam@gentoo.org>

 net-mail/tpop3d/tpop3d-1.5.5.ebuild | 92 -------------------------------------
 1 file changed, 92 deletions(-)